@echo off

set deployDir=%1\docus-task-ydzyy
if %deployDir%=="" set deployDir=d:\webroot\docus-task-ydzyy

set curr_file=%cd%
cd /d %deployDir%
call stop.bat
cd %curr_file%
sc query docus-backup-sys |Find  "RUNNING" && ping 127.0.0.1 -n 10 >nul
rd/s/q %deployDir%\lib
rd/s/q %deployDir%\dataConfig
rd/s/q %deployDir%\config
del /s/q %deployDir%\*.jar
xcopy /Y/E/I * %deployDir%

cd /d %deployDir%
call install.bat

